View Issue Details

IDProjectCategoryView StatusLast Update
0001739Ham Radio DeluxeBugpublic2017-05-22 00:04
ReporterWA9PIE 
Assigned ToERIK 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.3.0.453 
Summary0001739: STFU: Regular Expression logic in Country Manager isn't working (other problems with country lookup); cluster alarms & filters
DescriptionWhen no match is found for a callsign's prefix, Logbook seems to start dropping far right characters to attempt to find a match. This results in "everything that begins with the letter "T" to be presented as a match for a call like TX7H that doesn't match to a Country in Country List.

When a callsign's prefix doesn't match something in the Country List, Logbook either presents a list of countries that match the first letter or Logbook will crash. Forums and osTicket has plenty of posts on this topic... and it seems to go back to at least 6.1.4.189.

Finally, the "Test" function in Country Manager no longer works properly (does not consider the full Boost RE argument... doesn't go past the first argument separated by a | vertical bar.

Steps To ReproduceI walked Rick through these replication steps:

- Open the ALE in Logbook
- Enter "TX7H" in the callsign field and hit TAB
- Logbook will either crash (what Rick saw) or it will present a list of every country that has a prefix that begins with the letter "T"

- Open Country Manager
- Click the "Lookup" checkbox and enter "TX7H" in the Callsign field
- Even though there is no match for the "TX" prefix in the Country List, this lookup results in 27 matches (but it should be "0 matches")
- Open Afghanistan and notice that TX is not a match for this callsign's prefix
- To the right of the OK/Cancel buttons is a "Test" button... click the "Test" button; notice the Boost RE argument is "YA.*|T6.*"; this means that any call beginning with YA or T6 is a match for this country
- Type "QRZ" and notice that "MATCH" is greyed-out (not a match)
- Type "YA" and notice that "MATCH" remains "lit" (is a match); clear the field
- Type "T6" and notice that - although this SHOULD match the Boost RE argument, it will not and "MATCH" incorrectly remains greyed-out

Additional Information- When no match is found (like TX7H doesn't match any countries in the Country List), the user needs to see a box that says, "No Country Match Found - Please select country in ALE"

- The logic that prompts a list of "everything that begins with a "T" when no callsign match is found" needs to go away in favor of the previous bullet

- Hopefully this fixes the problem where you can't test the prefix masks in Country Manager (Boost RE logic broken and doesn't go past the | vertical separator."

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing

Relationships

Activities

WA9PIE

2014-10-22 09:04

administrator   ~0000578

Replicated with Rick.

WA9PIE

2015-10-14 00:40

administrator   ~0000645

Another ticket on this:
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=3203

WA9PIE

2015-10-20 05:38

administrator   ~0000656

And another post on the forums:
http://forums.hrdsoftwarellc.com/forum/hrd-6-x-peer-support-forums/hrd-6-2-logbook/34624-dx-cluster-spot-filter

WA9PIE

2015-10-22 13:10

administrator  

ForumNote.JPG (79,342 bytes)
ForumNote.JPG (79,342 bytes)

WA9PIE

2015-10-22 23:43

administrator   ~0000660

And another...

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=3310

WA9PIE

2015-10-23 11:53

administrator   ~0000663

And another...

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=3313

WA9PIE

2015-10-27 00:37

administrator   ~0000665

In addition to the previously mentioned trouble tickets, I gathered up a partial list of additional trouble tickets. This seems to have begun in the 377 build.

http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1769
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1742
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1228
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=2807
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=920
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=864
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1827
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1479
http://tickets.hrdsoftwarellc.com/scp/tickets.php?id=1599

There are likely more. I didn't spend a lot of time searching.

WA9PIE

2015-11-21 22:19

administrator   ~0000673

I'm presently testing a build... 449... that appears to fix these two issues (the country prefix tester and the callsign mask alarms).

user47

2015-12-18 05:39

  ~0000706

unconfirmed

Issue History

Date Modified Username Field Change
2014-10-22 08:45 WA9PIE New Issue
2014-10-22 08:52 WA9PIE Description Updated View Revisions
2014-10-22 08:52 WA9PIE Steps to Reproduce Updated View Revisions
2014-10-22 08:52 WA9PIE Additional Information Updated View Revisions
2014-10-22 09:04 WA9PIE Note Added: 0000578
2014-10-22 09:04 WA9PIE Assigned To => WA9PIE
2014-10-22 09:04 WA9PIE Status new => confirmed
2015-09-17 13:37 WA9PIE Category Logbook => Bug
2015-09-22 23:29 WA9PIE Fix Build TBD => (select)
2015-09-22 23:29 WA9PIE Report Build 6.2.72 => (select)
2015-09-22 23:29 WA9PIE Proposed Release => (select)
2015-09-22 23:29 WA9PIE Summary Bug: Boost RE logic in Country Manager isn't working (other problems with country lookup) => Boost RE logic in Country Manager isn't working (other problems with country lookup)
2015-09-22 23:29 WA9PIE Summary Boost RE logic in Country Manager isn't working (other problems with country lookup) => Regular Expression logic in Country Manager isn't working (other problems with country lookup); also cluster alarms
2015-10-01 13:31 WA9PIE Assigned To WA9PIE =>
2015-10-01 15:15 WA9PIE Summary Regular Expression logic in Country Manager isn't working (other problems with country lookup); also cluster alarms => STFU: Regular Expression logic in Country Manager isn't working (other problems with country lookup); also cluster alarms
2015-10-14 00:40 WA9PIE Note Added: 0000645
2015-10-20 05:37 WA9PIE Summary STFU: Regular Expression logic in Country Manager isn't working (other problems with country lookup); also cluster alarms => STFU: Regular Expression logic in Country Manager isn't working (other problems with country lookup); cluster alarms & filters
2015-10-20 05:38 WA9PIE Note Added: 0000656
2015-10-22 13:10 WA9PIE File Added: ForumNote.JPG
2015-10-22 23:43 WA9PIE Note Added: 0000660
2015-10-23 11:53 WA9PIE Note Added: 0000663
2015-10-27 00:37 WA9PIE Note Added: 0000665
2015-10-27 00:38 WA9PIE Reported in Build (ie. 377) (select) => 377
2015-11-10 09:21 WA9PIE Assigned To => ERIK
2015-11-10 09:21 WA9PIE Status confirmed => assigned
2015-11-21 22:19 WA9PIE Note Added: 0000673
2015-11-23 08:29 W4PC Fixed in Release (select) => 6.3
2015-11-23 08:29 W4PC Fixed in Build (ie. 377) (select) => 450
2015-11-23 08:29 W4PC Status assigned => resolved
2015-11-23 08:29 W4PC Resolution open => fixed
2015-12-18 05:39 user47 Note Added: 0000706
2015-12-18 05:39 user47 Status resolved => closed
2017-03-08 19:01 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe
2017-05-22 00:04 WA9PIE Fixed in Version => 6.3.0.453